Last Comment Bug 623492 - [ANGLE] WebGLES shader assertion failed: (false && "Default missing"), function operator<
: [ANGLE] WebGLES shader assertion failed: (false && "Default missing"), functi...
Status: RESOLVED FIXED
: crash, testcase
Product: Core
Classification: Components
Component: Canvas: WebGL (show other bugs)
: Trunk
: x86_64 Mac OS X
: -- critical (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
http://code.google.com/p/angleproject...
Depends on:
Blocks: 658170
  Show dependency treegraph
 
Reported: 2011-01-06 03:14 PST by Christoph Diehl [:posidron]
Modified: 2011-12-05 13:47 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
testcase (3.61 KB, application/zip)
2011-01-06 03:14 PST, Christoph Diehl [:posidron]
no flags Details
callstack (6.91 KB, text/plain)
2011-01-06 03:15 PST, Christoph Diehl [:posidron]
no flags Details

Description Christoph Diehl [:posidron] 2011-01-06 03:14:46 PST
Created attachment 501623 [details]
testcase

// Shader Type: Fragment
highp ivec3 abb;
uniform lowp vec2 dba;
uniform highp vec2 add;
uniform lowp float bda;
lowp int acb;
uniform mediump float bdb;
void main() { 
	if(abb - dba < add >= (bda == (acb--)))
		bdb = 0.32; 
}

Assertion failed: (false && "Default missing"), function operator<, file /Users/cdiehl/Mozilla/trunk/gfx/angle/src/compiler/ConstantUnion.h, line 134.
Comment 1 Christoph Diehl [:posidron] 2011-01-06 03:15:15 PST
Created attachment 501624 [details]
callstack
Comment 2 daniel-bzmz 2011-02-09 06:29:38 PST
Can you please file this in the ANGLE issue tracker as well?  Thanks
Comment 3 daniel-bzmz 2011-02-11 09:18:31 PST
Thanks.  This is fixed in ANGLE r559.

BTW do you have assertions enabled in your release builds?
Comment 4 Benoit Jacob [:bjacob] (mostly away) 2011-02-11 09:27:58 PST
No we don't, as far as I know.
Comment 5 Benoit Jacob [:bjacob] (mostly away) 2011-02-11 09:28:42 PST
Christoph, do you confirm that this crash was in a debug build of Firefox?
Comment 6 Christoph Diehl [:posidron] 2011-02-11 10:35:08 PST
Yes

Note You need to log in before you can comment on or make changes to this bug.